# Подготовка к установке
Для работы DICOM-Сервера требуется установить библиотеки Qt, PostgreSQL, а также системные библиотеки Qt, minizip и postgresql:
`# apt install libminizip1 qt5-default postgresql-client libqt5sql5-psql`

# Установка DICOM-Сервера
## Развёртывание схемы БД
Если вы планируете установку DICOM-Сервера на тот же компьютер, на котором установлена СУБД PostgreSQL, выполните установку и первоначальную настройку PostgreSQL согласно документации Astra Linux и PostgreSQL.
Для развёртывания схемы БД DICOM-Сервера следует в папке **Scripts** запустить утилиту **sql-manager**:
`$ Scripts/sql-manager deploy <database_hostname> <database_port> <username> <password> <pacs_username> <pacs_password>`
где `<database_hostname>` - сетевой адрес СУБД, `<database_port>` - сетевой порт СУБД, `<username>` - имя администратора базы данных, `<password>` - пароль администратора базы данных, `<pacs_username>` - имя пользователя для подключения к базе данных (будет создан), `<pacs_password>` - пароль пользователя для подключения к БД
или запустите утилиту **sql-manager** без параметров, введите значение "1" и далее введите все запрашиваемые значения.
## Копирование компонентов DICOM-Сервера
Создайте директорию для DICOM-Сервера и скопируйте в неё директорию **bin**:
`# mkdir /srv/PACSServer`
`# cp -r bin/ /srv/PACSServer`
Создайте директорию для файлов настройки DICOM-Сервера:
`# mkdir /etc/pacs-srv`
Создайте директорию для файлов протокола работы DICOM-Сервера:
`# mkdir /var/log/pacs-srv`
Создайте директорию для временных файлов:
`# mkdir /tmp/pacs`
Создайте символические ссылки к директориям настроек и протоколов:
`# ln -s /etc/pacs-srv /srv/PACSServer/conf`
`# ln -s /var/log/pacs-srv /srv/PACSServer/logs`
Скопируйте файл **srv_settings.ini.template** в директорию файлов настройки:
`# cp Scripts/srv_settings.ini.template /etc/pacs-srv/srv_settings.ini`
Отредактируйте файл настроек **/etc/pacs-srv/srv_settings.ini**, укажите ваши значения следующих параметров:
- *[database] user* - имя пользователя в СУБД;
- *[database] pass* - пароль пользователя в СУБД;
- *[database] address* - сетевой адрес СУБД;
- *[database] port* - сетевой порт СУБД;
- *[dicom] ae_title* - AE Title DICOM-Сервера. Максимум 16 символов с учётом регистра. Допустимые символы: все символы из набора символов по умолчанию кроме «\» и управляющих символов;
- *[http_server] port* - порт для входящих HTTP-запросов. Допустимое значение от **0** до **65535**;
- *[dicom] store_service\unsecure\enabled* - активация сервиса обработки DICOM-запросов (работа с хранилищем исследований) по незащищенному подключению. Допустимые значения: **true**, **false**;
- *[dicom] store_service\unsecure\port* - порт для входящих DICOM-запросов (работа с хранилищем исследований) по незащищенному подключению. Допустимое значение от **0** до **65535**. Этому параметру должно быть установлено значение, даже если соответствующий сервис не используется;
- *[dicom] mwl_service\unsecure\enabled* - активация сервиса обработки DICOM-запросов (работа с рабочим списком исследований) по незащищенному подключению. Допустимые значения: **true**, **false**;
- *[dicom] mwl_service\unsecure\port* - порт для входящих DICOM-запросов (работа с рабочим списком исследований) по незащищенному подключению. Допустимое значение **0** до **65535**. Этому параметру должно быть установлено значение, даже если соответствующий сервис не используется;
- *[dicom] store_service\secure\enabled* - активация сервиса обработки DICOM-запросов (работа с хранилищем исследований) по защищенному подключению. Допустимые значения: **true**, **false**;
- *[dicom] store_service\secure\port* - порт для входящих DICOM-запросов (работа с хранилищем исследований) по защищенному подключению. Допустимое значение от **0** до **65535**. Этому параметру должно быть установлено значение, даже если соответствующий сервис не используется;
- *[dicom] mwl_service\secure\enabled* - активация сервиса обработки DICOM-запросов (работа с рабочим списком исследований) по защищенному подключению. Допустимые значения: **true**, **false**;
- *[dicom] mwl_service\secure\port* - порт для входящих DICOM-запросов (работа с рабочим списком исследований) по защищенному подключению. Допустимое значение от **0** до **65535**. Этому параметру должно быть установлено значение, даже если соответствующий сервис не используется;
- *[web_admin] login* - логин администратора веб-консоли;
- *[web_admin] password* - пароль администратора веб-консоли;
- *[web_admin] session_timeout* - таймаут истечения сессии работы в веб-консоли (в секундах);
- *[autoremove] store_days* - время хранения серий исследований (в днях), 0 - бесконечно. Допустимое значение от **0** и выше. Этому параметру должно быть установлено значение, даже если соотвествующий функционал не используется;
- *[compression] level* - числовой код уровня сжатия. Допустимое значение — целое число от **0** до **9** включительно. Если значение параметра — **0** (без сжатия), то значение параметра *[compression] compress_after* игнорируется. Этому параметру должно быть установлено значение, даже если соотвествующий функционал не используется;
- *[compression] compress_after* - количество дней перед применением сжатия. Допустимое значение — целое число от **0** включительно. Этому параметру должно быть установлено значение, даже если соотвествующий функционал не используется.

Подробнее об этих и других параметрах можно прочитать в пользовательской документации.

Скопируйте файлы сертификатов в директорию DICOM-Сервера:
`# cp -R Certs /srv/PACSServer/certs`
Создайте директорию для сертификатов клиентов:
`# mkdir /srv/PACSServer/certs/trusted`
Создайте пользователя и сделайте его владельцем ранее созданных директорий:
`# useradd pacs`
`# chown -R pacs: /srv/PACSServer`
`# chown -R pacs: /etc/pacs-srv`
`# chown -R pacs: /var/log/pacs-srv`
`# chown -R pacs: /tmp/pacs`
Скопируйте файл сервиса и обновите список служб systemd:
`# cp Scripts/pacsserver.service /etc/systemd/system`
`# systemctl daemon-reload`

# Запуск DICOM-Сервера
Запустите DICOM-Сервер:
`# systemctl start pacsserver`
После запуска не забудьте добавить процесс **pacs_server** в исключения SELinux и межсетевого экрана.
